#!/bin/bash

DATASET=evltest
AUDIO_IN_DIR=/mnt/matylda2/data/CALLHOME/english/speech/
AUDIO_OUT_DIR=../evltest-audio

rm -rf $AUDIO_OUT_DIR
mkdir -p $AUDIO_OUT_DIR

for f in $AUDIO_IN_DIR/$DATASET/*.sph; do
    echo "converting $f"
    w_decode -opcm $f $AUDIO_OUT_DIR/$(basename $f)
    sox $AUDIO_OUT_DIR/$(basename $f) -w -s $AUDIO_OUT_DIR/$(basename $f .sph).wav
     # split up channels
    sox $AUDIO_OUT_DIR/$(basename $f .sph).wav -c 1 $AUDIO_OUT_DIR/$(basename $f .sph)A.wav avg -l
    sox $AUDIO_OUT_DIR/$(basename $f .sph).wav -c 1 $AUDIO_OUT_DIR/$(basename $f .sph)B.wav avg -r
    rm $AUDIO_OUT_DIR/$(basename $f)
    rm $AUDIO_OUT_DIR/$(basename $f .sph).wav
done;

